[SCM] live-boot branch, debian-next, updated. debian/3.0_a35-1-10-g31014e0

Daniel Baumann daniel at debian.org
Mon Jul 2 17:36:44 UTC 2012


The following commit has been merged in the debian-next branch:
commit 85c9cd2deae4e06d6c70780906676117245237ac
Author: Daniel Baumann <daniel at debian.org>
Date:   Mon Jul 2 17:46:14 2012 +0200

    Splitting out already reviewed cmdline parsing script.

diff --git a/scripts/boot/0110-cmdline b/scripts/boot/0110-cmdline
new file mode 100755
index 0000000..d80c54f
--- /dev/null
+++ b/scripts/boot/0110-cmdline
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+#set -e
+
+Cmdline ()
+{
+	for _PARAMETER in ${_CMDLINE}
+	do
+		case "${_PARAMETER}" in
+			live-boot.read-only|read-only)
+				LIVE_READ_ONLY="true"
+				;;
+
+			live-boot.swapon|swapon)
+				LIVE_SWAPON="true"
+				;;
+
+			live-boot.verify-checksums|verify-checksums)
+				LIVE_VERIFY_CHECKSUMS="true"
+				;;
+
+			# Special options
+			live-boot.debug|debug)
+				LIVE_DEBUG="true"
+				;;
+		esac
+	done
+}
diff --git a/scripts/boot/9990-cmdline.sh b/scripts/boot/9990-cmdline-old
similarity index 93%
rename from scripts/boot/9990-cmdline.sh
rename to scripts/boot/9990-cmdline-old
index a3781da..3e12ffb 100755
--- a/scripts/boot/9990-cmdline.sh
+++ b/scripts/boot/9990-cmdline-old
@@ -2,30 +2,10 @@
 
 #set -e
 
-Cmdline ()
+Cmdline_old ()
 {
 	for _PARAMETER in ${_CMDLINE}
 	do
-		case "${_PARAMETER}" in
-			live-boot.read-only|read-only)
-				LIVE_READ_ONLY="true"
-				;;
-
-			live-boot.swapon)
-				LIVE_SWAPON="true"
-				;;
-
-			live-boot.verify-checksums|verify-checksums)
-				LIVE_VERIFY_CHECKSUMS="true"
-				;;
-
-			# Special options
-			live-boot.debug|debug)
-				LIVE_DEBUG="true"
-				;;
-
-
-			# parameters below need review (FIXME)
 			skipconfig)
 				NOFSTAB="true"
 				NONETWORKING="true"
diff --git a/scripts/boot/9990-main.sh b/scripts/boot/9990-main.sh
index bd378eb..3ad6a72 100755
--- a/scripts/boot/9990-main.sh
+++ b/scripts/boot/9990-main.sh
@@ -20,6 +20,7 @@ Main ()
 
 	_CMDLINE="$(cat /proc/cmdline)"
 	Cmdline
+	Cmdline_old
 
 	case "${LIVE_DEBUG}" in
 		true)

-- 
live-boot



More information about the debian-live-changes mailing list